# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='EntityProfile',
            fields=[
                ('id', models.AutoField(verbose_name='ID', auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(verbose_name='Name', max_length=150)),
                ('theme', models.CharField(verbose_name='Theme', max_length=256)),
                ('activity', models.CharField(verbose_name='Activity', max_length=256)),
                ('address', models.TextField(verbose_name='Address')),
                ('postal_code', models.CharField(verbose_name='Postal code', max_length=15)),
                ('city', models.CharField(verbose_name='City', max_length=100)),
                ('contact', models.TextField(blank=True, verbose_name='Contact')),
                ('phone', models.CharField(verbose_name='Phone number', max_length=25)),
                ('email', models.CharField(verbose_name='Email', max_length=256)),
                ('website', models.CharField(blank=True, verbose_name='Website', max_length=256)),
                ('short_description', models.CharField(blank=True, verbose_name='Short Description', max_length=256)),
                ('description', models.TextField(blank=True, verbose_name='Main Description')),
                ('logo', models.ImageField(blank=True, verbose_name='Logo', upload_to='bottin')),
                ('timetable', models.TextField(blank=True, verbose_name='Timetable')),
                ('longitude', models.DecimalField(blank=True, verbose_name='Longitude', default=0.0, decimal_places=6, max_digits=9)),
                ('latitude', models.DecimalField(blank=True, verbose_name='Latitude', default=0.0, decimal_places=6, max_digits=8)),
                ('slug', models.SlugField(verbose_name='slug', max_length=256, unique=True)),
                ('activated', models.BooleanField(verbose_name='Activated', default=True)),
            ],
            options={
                'verbose_name_plural': 'entities',
            },
        ),
    ]
