# -*- coding: utf-8 -*-

from django.views.generic import ListView, DetailView
from bottin.models import EntityProfile
from bottin.forms import EntitySelectorForm


class EntityListView(ListView):
    model = EntityProfile
    queryset = EntityProfile.activated_objects.all()

    def get_context_data(self, **kwargs):
        context = super(EntityListView, self).get_context_data(**kwargs)
        context['selector'] = EntitySelectorForm(initial=self.request.GET)
        return context

    def get_queryset(self):
        queryset = super(EntityListView, self).get_queryset()
        if 'theme' in self.request.GET and self.request.GET['theme']:
            queryset = queryset.filter(theme=self.request.GET['theme'])
        if 'activity' in self.request.GET and self.request.GET['activity']:
            queryset = queryset.filter(activity=self.request.GET['activity'])
        return queryset


class EntityView(DetailView):
    model = EntityProfile
